

# ListOTAUpdates
<a name="API_ListOTAUpdates"></a>

Lists OTA updates.

Requires permission to access the [ListOTAUpdates](https://docs.amazonaws.cn/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_ListOTAUpdates_RequestSyntax"></a>

```
GET /otaUpdates?maxResults=maxResults&nextToken=nextToken&otaUpdateStatus=otaUpdateStatus HTTP/1.1
```

## URI Request Parameters
<a name="API_ListOTAUpdates_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListOTAUpdates_RequestSyntax) **   <a name="iot-ListOTAUpdates-request-uri-maxResults"></a>
The maximum number of results to return at one time.  
Valid Range: Minimum value of 1. Maximum value of 250.

 ** [nextToken](#API_ListOTAUpdates_RequestSyntax) **   <a name="iot-ListOTAUpdates-request-uri-nextToken"></a>
A token used to retrieve the next set of results.

 ** [otaUpdateStatus](#API_ListOTAUpdates_RequestSyntax) **   <a name="iot-ListOTAUpdates-request-uri-otaUpdateStatus"></a>
The OTA update job status.  
Valid Values: `CREATE_PENDING | CREATE_IN_PROGRESS | CREATE_COMPLETE | CREATE_FAILED | DELETE_IN_PROGRESS | DELETE_FAILED` 

## Request Body
<a name="API_ListOTAUpdates_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListOTAUpdates_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "otaUpdates": [ 
      { 
         "creationDate": number,
         "otaUpdateArn": "string",
         "otaUpdateId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListOTAUpdates_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListOTAUpdates_ResponseSyntax) **   <a name="iot-ListOTAUpdates-response-nextToken"></a>
A token to use to get the next set of results.  
Type: String

 ** [otaUpdates](#API_ListOTAUpdates_ResponseSyntax) **   <a name="iot-ListOTAUpdates-response-otaUpdates"></a>
A list of OTA update jobs.  
Type: Array of [OTAUpdateSummary](API_OTAUpdateSummary.md) objects

## Errors
<a name="API_ListOTAUpdates_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_ListOTAUpdates_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iot-2015-05-28/ListOTAUpdates) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iot-2015-05-28/ListOTAUpdates) 